Debian Bug report logs - #547690
During the installation the error "mv: cannot stat `/etc/splashy/themes': No such file or directory" occurs. The installation done with error "subprocess new pre-installation script returned error exit status 1".

version graph

Package: splashy; Maintainer for splashy is (unknown);

Reported by: gianluca <pipex07@yahoo.it>

Date: Mon, 21 Sep 2009 14:39:01 UTC

Severity: grave

Tags: patch

Found in version splashy/0.3.13-5

Fixed in version splashy/0.3.13-5.1

Done: Robert Grimm <rob@robgri.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#547690; Package splashy. (Mon, 21 Sep 2009 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gianluca <pipex07@yahoo.it>:
New Bug report received and forwarded. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Mon, 21 Sep 2009 14:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gianluca <pipex07@yahoo.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: During the installation the error "mv: cannot stat `/etc/splashy/themes': No such file or directory" occurs. The installation done with error "subprocess new pre-installation script returned error exit status 1".
Date: Mon, 21 Sep 2009 16:30:00 +0200
Package: splashy
Version: 0.3.13-5
Severity: grave
Justification: renders package unusable


During the installation the error "mv: cannot stat `/etc/splashy/themes': No such file or directory" occurs. 
The installation done with error "subprocess new pre-installation script returned error exit status 1". 

I try to purge before and reinstall splasy package, but the same error occurcs. 

I found a solution to create before the empty dir /etc/splashy/themes and resintall splashy: 
the installation now works fine.

I have splashy-themes package installed.

best regard
Gianluca

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30pipex
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages splashy depends on:
ii  initramfs-tools        0.93.4            tools for generating an initramfs
ii  libc6                  2.9-25            GNU C Library: Shared libraries
ii  libdirectfb-1.2-0      1.2.8-4           direct frame buffer graphics - sha
ii  libgcc1                1:4.4.1-1         GCC support library
ii  libglib2.0-0           2.20.5-1          The GLib library of C routines
ii  libmagic1              5.03-1            File type determination library us
ii  libsplashy1            0.3.13-5          Library to draw splash screen on b
ii  lsb-base               3.2-23            Linux Standard Base 3.2 init scrip
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

splashy recommends no packages.

Versions of packages splashy suggests:
ii  console-common                0.7.83     basic infrastructure for text cons
ii  splashy-themes                0.4.1      A complete user-space boot splash 
pn  upstart                       <none>     (no description available)

-- no debconf information




Added tag(s) patch. Request was from Robert Grimm <rob@robgri.de> to control@bugs.debian.org. (Sat, 28 Nov 2009 13:03:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#547690; Package splashy. (Sat, 28 Nov 2009 13:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Grimm <rob@robgri.de>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Sat, 28 Nov 2009 13:12:03 GMT) Full text and rfc822 format available.

Message #12 received at 547690@bugs.debian.org (full text, mbox):

From: Robert Grimm <rob@robgri.de>
To: 547690@bugs.debian.org
Subject: patch
Date: Sat, 28 Nov 2009 13:58:22 +0100
[Message part 1 (text/plain, inline)]
tags 547690 + patch
thanks

There is a test on ! -L in preinst, but if the file or directory doesn't
exist at all, this also amounts to true. Hence there should be a test for
existance. The attached patch deals with it.

Robert
[splashy_0.3.13-5.1.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#547690; Package splashy. (Sat, 28 Nov 2009 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Sat, 28 Nov 2009 15:51:06 GMT) Full text and rfc822 format available.

Message #17 received at 547690@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 547690@bugs.debian.org
Subject: splashy: diff for NMU version 0.3.13-5.1
Date: Sat, 28 Nov 2009 16:46:24 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for splashy (versioned as 0.3.13-5.1). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #125:  we just switched to Sprint. 
[splashy-0.3.13-5.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Robert Grimm <rob@robgri.de>:
You have taken responsibility. (Sat, 28 Nov 2009 16:09:06 GMT) Full text and rfc822 format available.

Notification sent to gianluca <pipex07@yahoo.it>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 16:09:06 GMT) Full text and rfc822 format available.

Message #22 received at 547690-close@bugs.debian.org (full text, mbox):

From: Robert Grimm <rob@robgri.de>
To: 547690-close@bugs.debian.org
Subject: Bug#547690: fixed in splashy 0.3.13-5.1
Date: Sat, 28 Nov 2009 16:06:23 +0000
Source: splashy
Source-Version: 0.3.13-5.1

We believe that the bug you reported is fixed in the latest version of
splashy, which is due to be installed in the Debian FTP archive:

libsplashy1-dev_0.3.13-5.1_i386.deb
  to main/s/splashy/libsplashy1-dev_0.3.13-5.1_i386.deb
libsplashy1_0.3.13-5.1_i386.deb
  to main/s/splashy/libsplashy1_0.3.13-5.1_i386.deb
splashy_0.3.13-5.1.diff.gz
  to main/s/splashy/splashy_0.3.13-5.1.diff.gz
splashy_0.3.13-5.1.dsc
  to main/s/splashy/splashy_0.3.13-5.1.dsc
splashy_0.3.13-5.1_i386.deb
  to main/s/splashy/splashy_0.3.13-5.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547690@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Grimm <rob@robgri.de> (supplier of updated splashy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Nov 2009 13:38:33 +0100
Source: splashy
Binary: splashy libsplashy1 libsplashy1-dev
Architecture: source i386
Version: 0.3.13-5.1
Distribution: unstable
Urgency: low
Maintainer: Splashy Devel <splashy-devel@lists.alioth.debian.org>
Changed-By: Robert Grimm <rob@robgri.de>
Description: 
 libsplashy1 - Library to draw splash screen on boot, shutdown, resume or suspen
 libsplashy1-dev - Library to draw splash screen on boot, shutdown, resume or suspen
 splashy    - A complete user-space boot splash system
Closes: 547690
Changes: 
 splashy (0.3.13-5.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Test for /etc/splashy/themes in preinst before mv (Closes: 547690)
Checksums-Sha1: 
 b44c87d962de04a2c4192fc6d3910a2e2abc4a20 2122 splashy_0.3.13-5.1.dsc
 066fb538b4657b4659f775bbad7e3cfaf6ed8e04 11628 splashy_0.3.13-5.1.diff.gz
 f9e93af9d14bb92f381ae8850b90f652355cfcac 1210116 splashy_0.3.13-5.1_i386.deb
 b8433ee6b5c767139014128f0a06ced07040a27f 43908 libsplashy1_0.3.13-5.1_i386.deb
 10c03814c8baddfc454cb69ea183606fe87eb1f3 34832 libsplashy1-dev_0.3.13-5.1_i386.deb
Checksums-Sha256: 
 c412c53e83eeaa36f0d1a620da5092eee4d09759bd23b80e451e7756f4e565b9 2122 splashy_0.3.13-5.1.dsc
 35549890e6ed0e816c62862a75dbe2369e9e9af56db511261a5d13c58e319d54 11628 splashy_0.3.13-5.1.diff.gz
 b4bf1de9ac3dafc41aef82a9437d98502875d48d7a0f3f07f4a4ac8010f8eeda 1210116 splashy_0.3.13-5.1_i386.deb
 ad63a31dc666c8a14a1f6706b7e92504232f554200e1c88255bf80be17669bac 43908 libsplashy1_0.3.13-5.1_i386.deb
 0e30658d05add4af6cfa1eb158bb72d16d67f73f5f672a59a8ab5e3c9ddcde4c 34832 libsplashy1-dev_0.3.13-5.1_i386.deb
Files: 
 52147dd7b01a47aaa034355b2ada39db 2122 graphics optional splashy_0.3.13-5.1.dsc
 254f58b9c5cc7a7b098acc648126514e 11628 graphics optional splashy_0.3.13-5.1.diff.gz
 a079f901508cba544ec1ba93454ed949 1210116 graphics optional splashy_0.3.13-5.1_i386.deb
 df263a0399a63d9c19c931220bfa04ad 43908 libs optional libsplashy1_0.3.13-5.1_i386.deb
 1c4138f0e0751d6a64610396f878721e 34832 libdevel optional libsplashy1-dev_0.3.13-5.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEUV3AAoJELs6aAGGSaoGRzAQAJO6l4XgSm3bpr4o4xIqP49l
R6EdCBS453GWyB/EeEagt1XG5yNcS1I5SCbWgjPQQCP0VXhV17I3sGyImpdYItKD
/1iexJbr1s+Xg0EMA3TupGryqYPRCdffs44S03sAQzBfmwmJzWzSdMHBwfbOA87V
fl7ivhliRLSFEzmIyMBQ1ziLODVRaAKhqmFWi6QrMbZmKHAaTLn3pqrY5vrHDcx+
EO8+KyJgudaGHC9AuRdWxsO9kADilcZRtgZLRGWgaGoRON1zuUuXitjVXM5Jl875
/0QV2cmmPdUNPhoPiPnuITCD4b0Lw92bREGt2kxWevx67BSOGpOKOY+dLyHHq7ix
eO/7UsUCTQdWpSsMzaCN+zAzcuD8Koab2CNA8VTIkAPoyxEkPD6BaQSPKosdk26P
urSrF/juf8qE62gxPsWaSgVF8Ve3EUsrGKiTpLJbuyLoOd22lkinik4CJjffXhfk
1wwEyK+Zh+WLnqIUEaXKFqsHdK+94fUarIgEKueODHTYhRIXdGeI3Kzl/dD4hhAe
SlaCQ9VL0GaT/5cNlv16MNb38q2bsisztHqSTPjoJ7fQO8gAsxNMgIMLAu9/A9Ce
P0rhAlUan/ql4vkQ3i2iPPLgJ8sZ/0Mu6OcqGZdDbIyoYtAzrVnnIR/O/rxpK819
rG/toyodJrWqvsVj9luG
=IB9a
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Dec 2009 07:44:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:08:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.